Contents

# DefErr Statement

If no type-declaration character or keyword is specified, the DefErr statement sets the default variable type, according to a letter range.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameters:

char: Letter prefix that specifies default data type for variables.

char-char: Letter range prefixes that specify default data type for variables.

### Example:

        REM Definicije prefiksa za tipove varijabli:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

    DefErr e
    Sub ExampleDefErr
        eErr=Error ' eErr is an implicit error variable
    End Sub